# DMMGSetMatType

Sets the type of matrices that DMMG will create for its solvers.

### Synopsis

    #include "petscda.h"
    #include "petscksp.h"
    #include "petscmg.h"
    #include "petscdmmg.h"
    #include "petscpc.h"
    PetscErrorCode PETSCSNES_DLLEXPORT DMMGSetMatType(DMMG *dmmg,MatType mtype)

Collective on MPI_Comm

### Input Parameters

| dmmg | - the DMMG object created with DMMGCreate()
| mtype | - the matrix type, defaults to MATAIJ

### See Also

DMMGDestroy(), DMMGSetUser(), DMMGGetUser(), DMMGCreate(), DMMGSetNullSpace()

Level:intermediate
Location:src/snes/utils/damg.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages